﻿@font-face {
    font-family: 'boschsans-bold';
    src: url('Fonts/BoschSans-Bold.otf') format('opentype');
}

@font-face {
    font-family: 'boschsans-regular';
    src: url('Fonts/BoschSans-Regular.otf') format('opentype');
}

body {
    font-family: boschsans-regular !important;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    box-sizing: border-box;
}

.header-background {
    background: #000 url("bosch-header-background.png") no-repeat top center / cover;
    padding-top: 5px;
}

a {
    text-decoration: none;
    color: #343a40 !important;
}

.login-form {
    margin-left: auto;
    margin-right: auto;
    width: 400px;
    border-width: 0;
    padding-top: 100px;
}

.logo {
    max-height: 86px;
    background-color: #fff;
    padding-right: 100px;
    flex-shrink: 0;
    order: 1;
    flex-grow: 0;
}

.top-bar {
    display: flex;
    height: 86px;
    flex-flow: row;
    flex-direction: row-reverse;
}

.top-bar-right {
    display: flex;
    justify-content: flex-end;
    flex-grow: 2;
    order: 2;
    width: 1px;
}

.float-right {
    float: right !important;
}

.register-section {
    margin-top: 100px;
}

.validationError {
    color: #dc3545;
}

.browser-warning {
    background-color: rgba(0, 0, 0, 0.8);
    border-radius: 3px;
    border: 2px solid;
    font-size: 0.9rem;
    margin: 0 0 4px 0;
    padding: 5px 15px;
    overflow: hidden;
    width: 100%;
}

.ta-icon {
    margin-left: -5px;
    margin-right: 5px;
}

.text-primary {
    color: #343a40 !important;
}

.card-title {
    font-family: boschsans-bold !important;
}

input.form-control {
    background-color: #dee2e6 !important;
    border-bottom: 1px solid #343a40;
}

input.form-control:focus {
    box-shadow: none;
    border-color: #8a95a0;
    border-bottom: 1px solid #343a40 !important;
}

button.btn.btn-primary {
    background-color: #343a40;
    border-color: #343a40;
}

button.btn.btn-primary:active {
    background-color: #343a40 !important;
    border-color: #8a95a0 !important;
}

button.btn.btn-primary:hover {
    box-shadow: none !important;
}

button.btn.btn-primary:focus {
    box-shadow: none !important;
}

button.btn.btn-outline-primary {
    color: #343a40;
    border-color: #343a40;
}

button.btn.btn-outline-primary:active {
    border-color: #8a95a0 !important;
    background-color: #343a40 !important;
}

button.btn.btn-outline-primary:hover {
    color: #fff;
    background-color: #343a40;
}

button.btn.btn-outline-primary:focus {
    box-shadow: none !important;
}

.footer {
    display: flex;
    position: absolute;
    align-items: center;
    overflow: hidden;
    bottom: 0;
    width: 100%;
    color: #343a40;
    background-color: #fff;
    height: 40px;
    padding-left: 20px;
    padding-right: 20px;
}
.footer a {
    color: #8faec9
}

.footer-main {
    display: inline;
    flex-grow: 2;
}

.footer-link {
    margin: 0;
}

.footer-link li {
    display: inline-block;
    list-style-type: none;
    padding: 0;
    margin: 0 10px 0 0;
    position: relative;
}

.footer-link li a {
    color: #8faec9;
    text-decoration: none !important;
    padding: 0;
    margin: 0;
}

.footer-link li:not(:last-of-type)::after {
    display: inline-block;
    position: absolute;
    top: 5px;
    right: -8px;
    width: 1px;
    height: 15px;
    background-color: #8faec9;
    content: '';
}

.footer-social {
    display: inline-block;
    margin: 0
}

.footer-social li {
    display: inline-block;
    list-style-type: none;
    padding: 0;
    margin: 0 6px 0 0;
    position: relative;
}

.float-right {
    float: right !important;
}

#modal-select-auth-company.show {
    display: block;
}

.modal-dialog {
    top: 20%;
    max-width: 640px;
}

.modal-body {
    max-height: 250px;
    overflow-y: auto;
}

.option-list > div {
    height: 100%;
    overflow-y: auto;
    position: relative;
    display: block;
    max-height: 100%;
    margin-bottom: 0 !important;
}

.modal-bg {
    background-color: rgba(128, 128, 128, 0.5);
}

dd {
    cursor: pointer;
}

    dd.selected {
        font-weight: bold;
        color: white;
        background-color: #343a40;
    }

    dd:hover {
        background-color: #dee2e6;
    }

#btn-authenticate.disabled {
    cursor: default;
}

.authentication-sso-error-message {
    color: #dc3545;
}